<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [DarknetServerDetails](./bitburner.darknetserverdetails.md) &gt; [requiredCharismaSkill](./bitburner.darknetserverdetails.requiredcharismaskill.md)

## DarknetServerDetails.requiredCharismaSkill property

The charisma skill required to authenticate on the server

**Signature:**

```typescript
requiredCharismaSkill: number;
```
